using System.Collections.Generic;
using CncModels.Entity;

namespace CncRepository.Interface
{
    /// <summary>
    /// 工人-机床绑定仓储接口
    /// </summary>
    public interface IWorkerMachineRepository
    {
        WorkerMachine GetByMachineId(int machineId);
        List<WorkerMachine> GetByWorkerId(int workerId);
        int Create(int workerId, int machineId);
        bool DeleteByMachineId(int machineId);
        bool DeleteByWorkerId(int workerId);
    }
}
